@echo off
cls
echo.
echo  Ŀ
echo         Welcome to ISA PnP Ethernet Card ODI Driver Installation       
echo  
echo.
echo.
echo    This installation program will:
echo     1. Copy all files to your hard disk drive under "C:\NWNET"
echo     2. Append "LASTDRIVE=drive" statement to C:\CONFIG.SYS (optional)
echo     3. Create STARTNET.BAT and NET.CFG under C:\NWNET
echo     4. Auto-configure the PnP Ethernet Card according to your PC
echo.
echo    You can then logon to a server by running "STARTNET.BAT" from
echo    the C:\NWNET directory under DOS prompt after restarting the PC.
echo.
echo    Please run README.EXE to examine the Read Me files for details under
echo    "Workstation for DOS ODI Client" section.
echo.
echo Press CTRL+C to abort the auto-installation, or
pause
:odienv
cls
echo.
echo  Ŀ
echo         Welcome to ISA PnP Ethernet Card ODI Driver Installation       
echo  
echo.
echo.
echo    Which ODI environment will be used?
echo    (Please refer to Novell's NetWare manual for details of VLM, NETX.)
echo.
echo      (1). VLM (can support both newer NDS and traditional Bindery services)
echo      (2). NETX (only support traditional Bindery service)
echo      (0). Exit
echo.
echo    Please enter your selection (1 or 2) or press 0 to exit:
doc\getnum
set odicfg=
if errorlevel 3 goto odienv
set odicfg=netx
if errorlevel 2 goto mode
set odicfg=vlm
if errorlevel 1 goto mode
set odicfg=
if errorlevel 0 goto errend
:mode
setup -r
set pnpcfg=auto
if errorlevel 2 goto inst
echo    Which operating mode will be used by this ISA PnP adapter?
echo.
echo              (1). Plug and Play mode
echo              (2). Jumperless mode
echo              (3). Jumper mode
echo              (0). Exit
echo.
echo    Please select the one consistent to your system (1 - 3) or press 0 to exit:
doc\getnum
set pnpcfg=
if errorlevel 4 goto error
set pnpcfg=jumper
if errorlevel 3 goto inst
set pnpcfg=jumperless
if errorlevel 2 goto inst
set pnpcfg=pnp
if errorlevel 1 goto inst
set pnpcfg=
if errorlevel 0 goto errend

:inst
echo.
echo  Creating C:\NWNET directory
md    c:\nwnet
echo.
echo  Copying ODI driver to C:\NWNET directory
copy  netware\dosodi\*.* c:\nwnet
echo.
echo  Copying SETUP.EXE program to C:\NWNET directory
echo  setup.exe
copy  setup.exe c:\nwnet
echo.
echo  Copying NetWare Client files to C:\NWNET directory
copy  nwclient\lsl.com c:\nwnet
copy  nwclient\ipxodi.com c:\nwnet
copy  nwclient\startnet.bat c:\nwnet
if %odicfg% == vlm goto vlmf
copy  nwclient\netx.exe c:\nwnet
goto  %pnpcfg%

:vlmf
copy  nwclient\*.vlm c:\nwnet
copy  nwclient\vlm.exe c:\nwnet
goto %pnpcfg%

:AUTO
echo.
echo  Configuring the ISA PnP Ethernet Card to Auto mode
c:\nwnet\setup.exe -p
goto end

:PNP
echo.
echo  Configuring the ISA PnP Ethernet Card to Plug and Play mode
echo.
echo  Reboot your system for the configuration to take effect...
echo.
c:\nwnet\setup.exe -p
goto end

:jumperless
echo.
echo.
echo  Configuring the ISA PnP Card to Jumperless mode and auto-configuring I/O, IRQ
echo.
c:\nwnet\setup.exe -a
goto end

:jumper
echo.
echo.
echo  Please make sure you change the NET.CFG to meet your IRQ/IO value
echo  of your jumper settings on the card.
echo.
c:\nwnet\setup.exe -a
goto end

:error
echo.
echo  Error!  Please make sure you start the INSTODI.BAT from
echo  the drive which has the driver diskette and try again!
echo.
goto errend

:end
echo.
echo  Congratulation! You have successfully installed the ODI drivers.
echo.
goto %odicfg%

:vlm
echo  This Installation has copied all VLM related files to your hard disk,
echo  you must include "LASTDRIVE=Z" statement in your CONFIG.SYS file,
echo  otherwise this workstation using VLM may not function properly.
echo.
echo  The installation will append "LASTDRIVE=Z" statement to the CONFIG.SYS
echo  and backup the original CONFIG.SYS as CONFIG.EP.
echo.
echo  You must reboot your system for the configuration to take effect.
echo  You can run STARTNET.BAT under C:\NWNET directory to logon to a
echo  Netware server after rebooting the PC.
echo.
echo Press CTRL+C to exit this modification, or
pause
echo  Copying CONFIG.SYS to CONFIG.EP
copy c:\config.sys c:\config.ep
echo LASTDRIVE=Z >> c:\config.sys
echo vlm.exe >> c:\nwnet\startnet.bat
echo f: >> c:\nwnet\startnet.bat
echo. >> c:\nwnet\net.cfg
echo NETWARE DOS REQUESTER >> c:\nwnet\net.cfg
echo   FIRST NETWORK DRIVE = F >> c:\nwnet\net.cfg
goto errend

:netx
echo  You can run STARTNET.BAT under C:\NWNET directory to logon to NetWare.
echo  (Please make sure your CONFIG.SYS does NOT include "LASTDRIVE=Z".)
rem echo LASTDRIVE=E >> c:\config.sys
echo netx.exe >> c:\nwnet\startnet.bat
echo f: >> c:\nwnet\startnet.bat

:errend
set pnpcfg=
set odicfg=
